/************************************************************************
RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and 
that no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
                    scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
                    markk@internic.net


Developed By: 
  Mark Kosters
***************************************************************************/
#ifndef _MISC_H_
#define _MISC_H_

/* includes */

#include "common.h"

/* prototypes */

char *readline PROTO((char *buffer, int size));

int new_record PROTO((char *line));

int parse_line PROTO((char *line, char *tag, char *datum));

int delimstr PROTO((char *mainbuf, char *delim, char *cpbuf, int cnt));

int mak_isalnum PROTO((char ch));

char *get_word PROTO((char *cp, char *buf));

void paste PROTO((char *line, char *cut_start, char *cut_end, char *rpl));

char *strSTR PROTO((char *str1, char *str2));

int record_separator PROTO((char *line));

char *strupr PROTO((char *a));

char *on_off PROTO((int bool));

int true_false PROTO((char *bool));

int run_program PROTO((char *program, char *param));

int get_tuple PROTO((char *tag1, char *tag2, char *data, char *line));

#endif /* _MISC_H_ */
