/* insert std header here */

#ifndef _HITINFO_H_
#define _HITINFO_H_

/* includes */

#include "common.h"

/* types */

typedef struct _mkdb_hitinfo_struct
{
  int                           file_no;    /* index number of file */
  long                          offset;     /* offset within file */
  struct _mkdb_hitinfo_struct   *nxt;       /* ptr to nxt record */
} mkdb_hitinfo_struct;

#define NEW_HITINFO (mkdb_hitinfo_struct *) calloc ((unsigned)1, \
   (unsigned)sizeof(mkdb_hitinfo_struct))

/* prototypes */

mkdb_hitinfo_struct *store_hits PROTO((mkdb_hitinfo_struct *hits,
                                       int                 file_no,
                                       long                offset,
                                       int                 deleted));
void clear_hits PROTO((mkdb_hitinfo_struct *hits));


#endif
