#ifndef _SEARCH_H_
#define _SEARCH_H_

/* includes */

#include "common.h"
#include "hitinfo.h"

/* defines */

/* search types */
#define BINARY_SEARCH   0
#define FULL_SCAN       1

/* comparision methods */
#define FULL_COMPARE    0
#define PARTIAL_COMPARE 1
#define SUBSTR_COMPARE  2

/* prototypes */

mkdb_hitinfo_struct *search_index PROTO((int close_index, char *search_value,
                                         int search_type, int comparison,
                                         int maxhists, int *error_code));

int mkdb_break_out PROTO((char *buf, char *ndxvalue, long *offset,
                          int *file_no, int *deleted));

#endif /* _SEARCH_H_ */



