/* insert std header here */

#ifndef _VARIABLES_H_
#define _VARIABLES_H_

/* includes */
#include "common.h"
#include <stdio.h>

#define DAEMON_SERVER 0
#define INETD_SERVER  1

/* prototypes */
void init_config_data PROTO(());
int  verify_config_data PROTO(());
void display_config_data PROTO((FILE *file));

int  set_root_dir PROTO((char *dir));
char *get_root_dir PROTO(());
int chdir_root_dir PROTO(());

int  set_bin_path PROTO((char *path));
char *get_bin_path PROTO(());

int  set_notify_log PROTO((char *log));
char *get_notify_log PROTO(());

int  set_define_file PROTO((char *file));
char *get_define_file PROTO(());

int  set_directive_file PROTO((char *file));
char *get_directive_file PROTO(());

int  set_display_file PROTO((char *file));
char *get_display_file PROTO(());

int  set_schema_file PROTO((char *file));
char *get_schema_file PROTO(());

int  set_register_log PROTO((char *log));
char *get_register_log PROTO(());

int  set_register_spool PROTO((char *spool));
char *get_register_spool PROTO(());

int  set_updates_dir PROTO((char *dir));
char *get_updates_dir PROTO(());

int  set_root_file PROTO((char *file));
char *get_root_file PROTO(());

int  set_security_allow PROTO((char *file));
char *get_security_allow PROTO(());

int  set_security_deny PROTO((char *file));
char *get_security_deny PROTO(());

int  set_local_hostname PROTO((char *name));
char *get_local_hostname PROTO(());

int  set_process_userid PROTO((char *id));
char *get_process_userid PROTO(());

int  set_update_prog PROTO((char *prog));
char *get_update_prog PROTO(());

int  set_index_prog PROTO((char *prog));
char *get_index_prog PROTO(());

int  set_chrooted PROTO((int val));
int  set_chrooted_str PROTO((char *str));
int  is_chrooted PROTO(());

int  set_default_deadman_time PROTO((int sec));
int  get_default_deadman_time PROTO(());

int set_max_hits_ceiling PROTO((int hits));
int get_max_hits_ceiling PROTO(());

int set_max_hits_default PROTO((int hits));
int get_max_hits_default PROTO(());

int  set_port PROTO((int p));
int  get_port PROTO(());

int  set_root_server PROTO((int val));
int  set_root_server_str PROTO((char *str));
int  is_root_server PROTO(());

int  set_server_type PROTO((int type));
int  set_server_type_str PROTO((char *str));
int  get_server_type PROTO(());
int  is_daemon_server PROTO(());

int  set_verbosity PROTO((int val));
int  get_verbosity PROTO(());

int  set_config_file PROTO((char *file));
char *get_config_file PROTO(());

#endif /* _VARIABLES_H_ */
